# Πρόγραμμα Εύρεσης Ελάχιστων Χαρτονομισμάτων Ποσού
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Εύρεσης Ελάχιστων Χαρτονομισμάτων Ποσού")
print()

# Εισαγωγή από το χρήστη του χρηματικού ποσού 
poso=int(input("Εισάγετε το χρηματικό ποσό:"))
print()

# Αρχικοποίηση μειούμενου αθροιστή με την τιμή ίση
# με το ποσό που εισήγαγε ο χρήστης
ypoloipomeno_poso=poso

# Χρήση εντολής επανάληψης for
# Η μεταβλητή i θα λάβει διαδοχικά όλες τις τιμές 500,200,100,50,20,5
for i in [500,200,100,50,20,5] :
    # υπολογισμός αριθμού χαρτονομισμάτων αξίας i
    arithmos_xartonomismaton=ypoloipomeno_poso//i
    # εκτύπωση μηνύματος για τον αριθμό χαρτονομισμάτων αξίας i
    if arithmos_xartonomismaton!=0 :
        print("Χαρτονομίσματα των",i,"ευρώ:", arithmos_xartonomismaton)
    # μείωση αθροιστή ypoloipomeno_poso κατά ποσό ίσο με
    # το ποσό των χαρτονομισμάτων αξίας i που απαιτούνται
    ypoloipomeno_poso=ypoloipomeno_poso-arithmos_xartonomismaton*i

# το ypoloipomeno_poso πλέον μπορεί να δοθεί μόνο σε κέρματα
print("Σε κέρματα:", ypoloipomeno_poso, "ευρώ")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε  το Πρόγραμμα Εύρεσης  Ελάχιστων \
Χαρτονομισμάτων Ποσού") 

    
